---
name: Bug
about: Report a bug found in the SDK
title: ''
labels: bug
assignees: mwwoda, mhagmajer, antusus, arjankowski, lukaszsocha2, bartlomiejleszczynski

---

- [ ] I have checked that the [SDK documentation][sdk-docs] doesn't solve my issue.
- [ ] I have checked that the [API documentation][api-docs] doesn't solve my issue.
- [ ] I have searched the [Box Developer Forums][dev-forums] and my issue isn't already reported (or if it has been reported, I have attached a link to it, for reference).
- [ ] I have searched [Issues in this repo][github-repo] and my issue isn't already reported.

### Description of the Issue
<!-- Replace this text with a description of what problem you're having. -->
<!-- Please include as much detail as possible to help us troubleshoot! -->
<!-- If it isn't obvious, please include how the behavior you expect differs from what actually happened. -->
<!-- This is really important so we know how to start troubleshooting your issue. -->

### Steps to Reproduce
<!-- Please include detailed steps to reproduce the issue you're seeing, if possible. -->
<!-- If you don't have a reproducible error, please make sure that you give us as much detail -->
<!-- as you can about what your application was doing when the error occurred. -->
<!-- Good steps to reproduce the problem help speed up debugging for us and gets your issue resolved sooner! -->
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

### Expected Behavior
<!-- What did you expect to happen? -->

### Error Message, Including Stack Trace
<!-- Share the full error output you're seeing, if applicable. -->
<!-- Please include the full stack trace to help us identify where the error is happening. -->

### Screenshots
<!-- If applicable, add screenshots to help explain your problem. -->

### Versions Used
iOS SDK: <!-- Replace with the version of the iOS SDK you're using. -->
iOS Preview SDK: <!-- Replace with the version of the iOS Preview SDK you're using, if applicable. -->
iOS: <!-- Replace with the version of iOS your application is running on. -->
Xcode: <!-- Replace with the version of Xcode your application is developed in. -->

[sdk-docs]: ./doc
[api-docs]: https://developer.box.com/docs
[dev-forums]: https://community.box.com/t5/Platform-and-Development-Forum/bd-p/DeveloperForum
[github-repo]: https://github.com/box/box-ios-sdk/search?type=Issues
